> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpartna.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Registration, Deposit and Fee Settings

> Get preferred registration type, fee settings, deposit account, and crypto payment source.



## OpenAPI

````yaml get /user/settings
openapi: 3.0.3
info:
  title: GetPartna Api Documentation
  version: '3.0'
servers:
  - url: https://staging-api.getpartna.com/v4
  - url: https://api.getpartna.com/v4
security:
  - x-api-key: []
    x-api-user: []
  - authorization: []
tags:
  - description: user endpoints
    name: User
  - description: account endpoints
    name: Account
  - description: transfer endpoints
    name: Transfer
  - description: supported assets and networks
    name: Supported
  - description: discount endpoints
    name: Discount
  - description: rate endpoints
    name: Rate
  - description: KYC endpoints
    name: KYC
  - description: Multi-Factor Authentication endpoints
    name: MFA
  - description: ramp endpoints
    name: Ramp
  - description: pricing endpoints
    name: Pricing
  - description: banks
    name: Bank
  - description: mock endpoints for testing
    name: Mock
paths:
  /user/settings:
    get:
      tags:
        - User
      summary: Get Registration, Deposit and Fee Settings
      description: >-
        Get preferred registration type, fee settings, deposit account, and
        crypto payment source.
      operationId: get-user-settings
      responses:
        '200':
          content:
            application/json:
              schema:
                example:
                  data:
                    autoMoveDeposit: false
                    cryptoPaymentSource: unknown
                    fees:
                      feeAccount: settingsmerchantfeeaccount
                      feeAmount: 2
                      feeCap: 2
                      feeCurrency: USD
                      feeType: fixed
                    registrationType: open
                  message: success
                properties:
                  data:
                    properties:
                      autoMoveDeposit:
                        type: boolean
                      cryptoPaymentSource:
                        type: string
                      fees:
                        properties:
                          feeAccount:
                            type: string
                          feeAmount:
                            type: number
                          feeCap:
                            type: number
                          feeCurrency:
                            type: string
                          feeType:
                            type: string
                        type: object
                      registrationType:
                        type: string
                    type: object
                  message:
                    type: string
                type: object
          description: get user settings ok
      security:
        - x-api-key: []
          x-api-user: []
        - authorization: []
components:
  securitySchemes:
    x-api-key:
      in: header
      name: x-api-key
      type: apiKey
    x-api-user:
      in: header
      name: x-api-user
      type: apiKey
    authorization:
      bearerFormat: JWT
      scheme: bearer
      type: http

````